### Constructor

# Foundry FileSearchReplacement new

since: 1.1

#### Declaration [src]

    FoundryFileSearchReplacement*
    foundry_file_search_replacement_new (
      FoundryContext* context,
      GListModel* matches,
      FoundryFileSearchOptions* options,
      const char* replacement_text
    )

#### Description [src]

Creates a new `FoundryFileSearchReplacement` for performing single or bulk text replacements.

The `replacement_text` can contain back references (like `\1`, `\2`, etc.) if `options` has regex enabled via `foundry_file_search_options_set_use_regex()`.

Available since: 1.1

#### Parameters

`context`

  Type: `FoundryContext`

  A `FoundryContext`.

  The data is owned by the caller of the function.

`matches`

  Type: `GObject`

  A `GListModel` of `FoundryFileSearchMatch`.

  The data is owned by the caller of the function.

`options`

  Type: `FoundryFileSearchOptions`

  A `FoundryFileSearchOptions`.

  The data is owned by the caller of the function.

`replacement_text`

  Type: `const char*`

  The replacement text (may contain back references if regex is enabled).

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `FoundryFileSearchReplacement`

A new `FoundryFileSearchReplacement`.

The caller of the function takes ownership of the data, and is responsible for freeing it.